﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DlhSoft.Windows.Controls;

namespace TaskListViewPrintingSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void PrintMenuItem_Click(object sender, RoutedEventArgs e)
        {
            // Select a printer and specify optional printing settings.
            PrintDialog printDialog = new PrintDialog();

            // Optionally you can pre-customize the printing settings.
            // printDialog.PrintTicket.PageOrientation = PageOrientation.Landscape;
            // printDialog.PrintTicket.CopyCount = 2;

            if (printDialog.ShowDialog() == true)
            {
                // Initialize a TaskListView document paginator.
                TaskListViewDocumentPaginator documentPaginator = new TaskListViewDocumentPaginator(TaskListView);
                documentPaginator.PageSize = new Size(printDialog.PrintableAreaWidth, printDialog.PrintableAreaHeight);

                // Optionally you can customize the printing margin, border, and/or background.
                // documentPaginator.Margin = new Thickness(16, 16, 16, 64);
                // documentPaginator.Border = new Pen(Brushes.Blue, 1);
                // documentPaginator.Background = Brushes.AliceBlue;

                // Perform the actual print operation.
                printDialog.PrintDocument(documentPaginator, "TaskListView Printing Sample Document");
            }

            // Alternatively you can also use the Print method of the control (less customizable).
            // TaskListView.Print("TaskListView Printing Sample Document");
        }
    }
}
